aboutsummaryrefslogtreecommitdiffstats
path: root/community/freeipmi/ipmiseld.initd
diff options
context:
space:
mode:
Diffstat (limited to 'community/freeipmi/ipmiseld.initd')
-rw-r--r--community/freeipmi/ipmiseld.initd25
1 files changed, 25 insertions, 0 deletions
diff --git a/community/freeipmi/ipmiseld.initd b/community/freeipmi/ipmiseld.initd
new file mode 100644
index 00000000000..ada5bcdde3c
--- /dev/null
+++ b/community/freeipmi/ipmiseld.initd
@@ -0,0 +1,25 @@
+#!/sbin/openrc-run
+
+description="IPMI system event log daemon"
+pidfile="/var/run/$RC_SVCNAME.pid"
+command="/usr/sbin/$RC_SVCNAME"
+
+start() {
+ ebegin "Starting $RC_SVCNAME"
+ start-stop-daemon --start \
+ --exec $command \
+ --pidfile $pidfile \
+ --make-pidfile \
+ --quiet \
+ --background \
+ -- \
+ $OPTIONS
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping $RC_SVCNAME"
+ start-stop-daemon --stop \
+ --pidfile $pidfile
+ eend $?
+}